Crystal Space: csAnimationTemplate Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csAnimationTemplate Class Reference

A 2d animation template. This class is used to create animated pixmaps. More...

`#include <cstool/csanim2d.h>`

List of all members.

## Public Member Functions
void | AddFrame (csTicks Delay, iTextureHandle *Tex, int x, int y, int w, int h)
| add a frame (giving the length of this frame)
void | AddFrame (csTicks Delay, iTextureHandle *Tex)
| add a frame (giving the length of this frame)
void | AddFrame (csTicks Delay, csPixmap *s)
| add a frame. (giving the length of this frame)
csAnimatedPixmap * | CreateInstance ()
| create an instance of this animation
| csAnimationTemplate ()
| build a new animation
csPixmap * | GetFrame (size_t n) const
| get a frame by number
csPixmap * | GetFrameByTime (csTicks Time)
| get a frame by time
size_t | GetFrameCount () const
| get number of frames
csTicks | GetLength () const
| get total length of animation (all delays added together)
| ~csAnimationTemplate ()
| destructor

## Detailed Description

A 2d animation template. This class is used to create animated pixmaps.

Definition at line 40 of file csanim2d.h.

## Constructor & Destructor Documentation

csAnimationTemplate::csAnimationTemplate | ( |  | ) |

build a new animation

csAnimationTemplate::~csAnimationTemplate | ( |  | ) |

destructor

## Member Function Documentation

void csAnimationTemplate::AddFrame | ( | csTicks | Delay,
|  | iTextureHandle * | Tex,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  | `[inline]`

add a frame (giving the length of this frame)

Definition at line 75 of file csanim2d.h.

void csAnimationTemplate::AddFrame | ( | csTicks | Delay,
|  | iTextureHandle * | Tex |
| ) |  |  | `[inline]`

add a frame (giving the length of this frame)

Definition at line 72 of file csanim2d.h.

void csAnimationTemplate::AddFrame | ( | csTicks | Delay,
|  | csPixmap * | s |
| ) |  |  | `[inline]`

add a frame. (giving the length of this frame)

Definition at line 69 of file csanim2d.h.

csAnimatedPixmap* csAnimationTemplate::CreateInstance | ( |  | ) |

create an instance of this animation

csPixmap* csAnimationTemplate::GetFrame | ( | size_t | n | ) | const`[inline]`

get a frame by number

Definition at line 80 of file csanim2d.h.

csPixmap* csAnimationTemplate::GetFrameByTime | ( | csTicks | Time | ) |

get a frame by time

size_t csAnimationTemplate::GetFrameCount | ( |  | ) | const`[inline]`

get number of frames

Definition at line 58 of file csanim2d.h.

csTicks csAnimationTemplate::GetLength | ( |  | ) | const`[inline]`

get total length of animation (all delays added together)

Definition at line 61 of file csanim2d.h.

The documentation for this class was generated from the following file:

- cstool/csanim2d.h